// Pickin' Sticks Arcade, Rachel J. Morris 2012
// https://github.com/Moosader/Pickin-Sticks-Arcade
// www.moosader.com
// Licensed TBD!

package com.moosader.entities;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.Vector2;

public class Tile extends EntityBase {
	public Tile() { }
	
	public void setup(int x, int y, int regionX, Texture texture){
		
		m_coord = new Vector2( x, y );
		m_dimen = new Vector2( 32, 32 );
		
		// TODO: Cleanup
		int sprite = (int)(Math.random() * 10);
		if ( sprite >= 4 ) {
			sprite = 0;
		} else {
			sprite = sprite * 128;
		}
		
		m_sprite = new Sprite(new TextureRegion(texture, sprite, 0, 128, 128));
		m_sprite.setSize(m_dimen.x, m_dimen.y);
		m_sprite.setPosition(m_coord.x, m_coord.y);
		m_texture = texture;
	}
}
